#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'yaml'
require 'html_tags/project/project_base_directory.rb'

module HtmlTags

  # ========================================================================= #
  # === FILE_VALID_TAGS_IN_A_HEAD_TAG
  #
  # This specifies the path to a yaml-file that keeps an Array.
  # ========================================================================= #
  FILE_VALID_TAGS_IN_A_HEAD_TAG = "#{PROJECT_YAML_DIR}valid_tags_in_a_head_tag.yml"

  # ========================================================================= #
  # === VALID_TAGS_IN_A_HEAD_TAG
  # ========================================================================= #
  if File.exist? FILE_VALID_TAGS_IN_A_HEAD_TAG
    VALID_TAGS_IN_A_HEAD_TAG = YAML.load_file(FILE_VALID_TAGS_IN_A_HEAD_TAG)
  else
    VALID_TAGS_IN_A_HEAD_TAG = []
  end

end