module HtmlTags

  # ========================================================================= #
  # === b
  #
  # This is the same as bold. Note that since HTML 5, it is recommended
  # to use <strong> instead.
  # ========================================================================= #
  def b(
      i         = '',
      css_class = '',
      the_id    = '',
      css_style = ''
    )
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style)+
      i.to_s+
      close(__method__)
    )
  end; alias bold b

end