#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/individual_tags/h1.rb'
# =========================================================================== #
module HtmlTags

  require 'html_tags/opening_tag/opening_tag.rb'
  require 'html_tags/toplevel_methods/add.rb'

  # ========================================================================= #
  # === HtmlTags.h1
  # ========================================================================= #
  def self.h1(
      i = '', css_class = '', the_id = '', css_style = '', javascript_code = ''
    )
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style, javascript_code)+
      i.to_s+
      close(__method__)
    )
  end

  # ========================================================================= #
  # === h1
  # ========================================================================= #
  def h1(
      i = '', css_class = '', the_id = '', css_style = '', javascript_code = ''
    )
    return HtmlTags.h1(
      i, css_class, the_id, css_style, javascript_code
    )
  end

end