#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === table
  # ========================================================================= #
  def table(
      i         = '',
      css_class = '',
      the_id    = '',
      css_style = ''
    )
    if block_given?
      yielded = yield
      if yielded.is_a? Array
        yielded.each {|entry|
          i << entry
        }
      else
        i << yielded
      end
    end
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style)+
      i.to_s+
      close(__method__)
    )
  end

end