#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === td
  # ========================================================================= #
  def td(
      i = '', css_class = '', the_id = '', css_style = '', &block
    )
    content = i.to_s
    if block_given?
      content = content.to_s+yield.to_s
    end
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style)+
      content+
      close(__method__)
    )
  end

end