#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/toplevel_methods/add.rb'
# =========================================================================== #
module HtmlTags

  require 'html_tags/toplevel_methods/full_output.rb'
  # ========================================================================= #
  # === HtmlTags.add                                                (add tag)
  #
  # Add to the main string called @full_output, which is a String.
  # ========================================================================= #
  def self.add(*i)
    i.each {|entry|
      @full_output << entry.to_s
    }
    i.join(' ').strip # Return the input. This is very important, naturally.
  end

end