#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/individual_tags/br.rb'
# =========================================================================== #
require 'html_tags/toplevel_methods/add.rb'
require 'html_tags/closing_tag/closing_tag.rb'

module HtmlTags

  # ========================================================================= #
  # === HtmlTags.br
  # ========================================================================= #
  def self.br
    return HtmlTags.add(
      close(__method__)
    )
  end

  # ========================================================================= #
  # === br
  # ========================================================================= #
  def br
    self.br
  end

end