#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === style
  #
  # We first call the opening_tag() method, then add the content,
  # and then close the whole thing again via close().
  #
  # This is essentially a way to add CSS style to a HTML-page.
  # ========================================================================= #
  def style(
      i          = '',
      css_class  = '',
      the_id     = '',
      css_style  = '',
      javascript = ''
    )
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style, javascript)+
      i.to_s+
      close(__method__)
    )
  end

end