#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === ul
  # ========================================================================= #
  def ul(
      i = '', css_class = '', the_id = '', css_style = ''
    )
    _ = ''.dup
    _ << yield if block_given?
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style)+
      _+
      i.to_s+
      close(__method__)
    )
  end

end