#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/toplevel_methods/strip_newlines.rb'
# =========================================================================== #
module HtmlTags

  require 'html_tags/constants/array_strip_newlines.rb'

  # ========================================================================= #
  # === HtmlTags.strip_newlines
  #
  # We use this method to strip away "\n" newlines.
  # ========================================================================= #
  def self.strip_newlines
    ARRAY_STRIP_NEWLINES[0] = true
  end

  # ========================================================================= #
  # === HtmlTags.strip_newlines?
  # ========================================================================= #
  def self.strip_newlines?
    ARRAY_STRIP_NEWLINES.first
  end

end