# -*- encoding: utf-8 -*-
# stub: html_tags 0.1.109 ruby lib

Gem::Specification.new do |s|
  s.name = "html_tags".freeze
  s.version = "0.1.109"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.2.22".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2021-09-24"
  s.description = "\n    This library is called html_tags.\n\n    Its basic core idea is to collect all valid html tags into\n    a single project, and then make this data available to other\n    projects.\n\n    Other ideas are to autogenerate closing tags (helper\n    methods), and of course to generate string representations\n    of these html tags. This can then be used by other \n    web-projects.\n\n    A simple usage example follows:\n\n      require 'html_tags'\n      HtmlTags.p 'hello world!' # => \"<p>\nhello world!\n</p>\"\n\n    Since Version 0.0.10 (April 2014) we can also now query\n    whether a string contains only valid HTML tags or whether\n    it does not.\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/html_tags".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.8".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This library is called html_tags.  Its basic core idea is to collect all valid html tags into a single project, and then make this data available to other projects.  Other ideas are to autogenerate closing tags (helper methods), and of course to generate string representations of these html tags. This can then be used by other  web-projects.  A simple usage example follows:  require 'html_tags' HtmlTags.p 'hello world!' # => \"<p> hello world! </p>\"  Since Version 0.0.10 (April 2014) we can also now query whether a string contains only valid HTML tags or whether it does not.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
